Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.solarmetric.rd.conf
Class Value

    java.lang.Object
      |
      +--com.solarmetric.rd.conf.Value

Direct Known Subclasses:
  BooleanValue, IntValue, StringValue

public abstract class Value
extends java.lang.Object

A Value is holder for a configuration value and metadata about a `PropertyDescriptor` for the configuration option. Metadata about the Property will be constructed from the `Localizer` for the package of the configuration class. The following localized strings will be used for describing the component:

- name-name: the name that will be displayed for the option in a user interface
- name-desc: a brief description of the option

Field Summary
`static java.lang.String` | `ATTRIBUTE_ALLOWED_VALUES`
`static java.lang.String` | `ATTRIBUTE_TYPE`

Constructor Summary
`Value(java.lang.String prop, java.lang.Class configClass, boolean expert, java.lang.String type)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.beans.PropertyDescriptor` | `getDescriptor()` Returns a JavaBean `PropertyDescriptor`, which holds metadata about the configuration option.
`java.lang.String` | `getProperty()` Returns the property name that will be used when setting or getting this value in a `Properties` object.
`abstract java.lang.String` | `getString()` Return a stringified version of this value.
`int` | `hashCode()`
`abstract void` | `setString(java.lang.String stringValue)` Set this value from the given string.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ATTRIBUTE_ALLOWED_VALUES

    public static final java.lang.String ATTRIBUTE_ALLOWED_VALUES

See Also:
  Constant Field Values

### ATTRIBUTE_TYPE

    public static final java.lang.String ATTRIBUTE_TYPE

See Also:
  Constant Field Values

Constructor Detail

### Value

    public Value(java.lang.String prop,
                 java.lang.Class configClass,
                 boolean expert,
                 java.lang.String type)

  Constructor.

Parameters:
  `prop` - the name of the property associated with the value
  `configClass` - the Configuration class associated with the value
  `expert` - if true, then this is an "expert" value
  `type` - the unlocalized name of the type

Method Detail

### getProperty

    public java.lang.String getProperty()

  Returns the property name that will be used when setting or getting this value in a `Properties` object.

### getDescriptor

    public java.beans.PropertyDescriptor getDescriptor()

  Returns a JavaBean `PropertyDescriptor`, which holds metadata about the configuration option.

### getString

    public abstract java.lang.String getString()

  Return a stringified version of this value.

### setString

    public abstract void setString(java.lang.String stringValue)

  Set this value from the given string.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 2.5.0 Reverse Schema Tool
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002,2003 SolarMetric, Inc. All Rights Reserved.